Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
dung12789

[YÊU CẦU] LISP LẤY TEXT TỪ DIM

Các bài được khuyến nghị

dung12789    1

THÂN CHÀO CÁC BẠN! NHỜ CÁC BẠN GIÚP MÌNH LÀM ĐƯỢC NHƯ TRONG FILE CAD MÌNH ĐÍNH KÈM. LÀM SAO GHI ĐƯỢC SỐ DIM LỚN NHẤT LÊN GOC TRÊN CỦA KHUNG BẢN VẼ.

THANKS CÁC BẠN ĐÃ QUAN TÂM

FILE ĐÍNH KÈM:http://www.cadviet.com/upfiles/3/65908_cadviet_1.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
quansla    232

CÁI NÀY LÀ MỘT PHẦN TRONG CÔNG VIỆC CỦA MÌNH, THUẬN TIỆN CHO SẢN XUẤT ĐÓ BẠN ƠI.

Mình đã trả lời bạn rồi, bài của bạn cũng đã bị vô thùng rác, bạn lập thêm topic làm gì>

và cũng đừng lập topic với nội dùng toàn CapsLock thế, để chữ thường thôi

Bài của bạn hiện đang ở đây(và đã được trả lời rồi)

http://www.cadviet.com/forum/index.php?showtopic=68100&hl=&fromsearch=1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hochoaivandot    108
 
(defun dxf (code e) (cdr (assoc code (entget e))))
(defun c:ttt (/ ss e dis dmax)
(setq ss (ssget '((0 . "DIMENSION"))) dmax 0)
(repeat (setq i (sslength ss))
 (setq e (ssname ss (setq i (1- i))))
 (setq dis (distance (dxf 13 e) (dxf 14 e)))
 (if (> dis dmax) (setq dmax dis))
)
(entmake (list
 (cons 0 "TEXT")
 (cons 10 (getpoint "\nDiem ghi gia tri Dim max"))
 (cons 1 (rtos dmax))
 (cons 40 1000)
  )
)
(princ)
)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
dung12789    1

(defun dxf (code e) (cdr (assoc code (entget e))))
(defun c:ttt (/ ss e dis dmax)
(setq ss (ssget '((0 . "DIMENSION"))) dmax 0)
(repeat (setq i (sslength ss))
 (setq e (ssname ss (setq i (1- i))))
 (setq dis (distance (dxf 13 e) (dxf 14 e)))
 (if (> dis dmax) (setq dmax dis))
)
(entmake (list
 (cons 0 "TEXT")
 (cons 10 (getpoint "\nDiem ghi gia tri Dim max"))
 (cons 1 (rtos dmax))
 (cons 40 1000)
  )
)
(princ)
)

thanks pro nhiều nhiều nha! lisp của pro tuyệt vời quá.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
kokoo    0

híc.mọi ng cho mình hỏi/bản cad của mình là 2013.mình cài và dùng bình thường nhưng khi làm xong muốn lưu vào rồi bật lại thì trong nền ko có bản vẽ đã vẽ/dùng file-> drawing utilities -> recover thì mới tìm lại dc??? rất bất tiện/ko hiểu sao nữa.mong mọi ng giúp mình :(

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×